Bug 984144 - Viewing artifact details in http://localhost:8080/s-ramp-ui = 404 error
Viewing artifact details in http://localhost:8080/s-ramp-ui = 404 error
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: DT Governance (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity urgent
: ER2
: ---
Assigned To: Eric Wittmann
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-12 21:51 EDT by Len DiMaggio
Modified: 2015-08-02 19:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Len DiMaggio 2013-07-12 21:51:01 EDT
Description of problem:

Selecting the  "Derived from: Master Artifact 0" for an artifact results in a 404 error 

Version-Release number of selected component (if applicable):
SOA 6.0.DR7

How reproducible:
100%

Steps to Reproduce:
1. Login to: http://localhost:8080/s-ramp-ui
2. Select Manage artifacts
3. Select an artifact
4) Select "Derived from: Master Artifact 0" 

Actual results:


Expected results:


Additional info:
Comment 2 Eric Wittmann 2013-07-16 08:38:22 EDT
The "Derived From:" feature on the Artifact Details page was included in the original design but was never implemented.  In the most recent codebase this feature has been removed.  In a future release it might possibly be restored (and obviously implemented correctly).

What you are seeing in the older UI version is bleed-through from the HTML template used when building the dynamic page.  So the link was simply the static value found in the template, which didn't go anywhere interesting.
Comment 3 Eric Wittmann 2013-08-26 09:35:07 EDT
Marking as modified - see previous comment.
Comment 4 Stefan Bunciak 2013-09-09 10:17:31 EDT
Verified in S-RAMP 6.0.0.ER2

Note You need to log in before you can comment on or make changes to this bug.